# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)

Gem::Specification.new do |s|
  s.name        = "fluent-plugin-sqlquery-ssh"
  s.version     = "0.1.11"
  s.license     = "Apache-2.0"
  s.authors     = "Niall Brown"
  s.email       = "niall.brown@lightspeedretail.com"
#  s.homepage    = "https://github.com/y-ken/fluent-plugin-mysql-query-ssh"
  s.summary     = %q{Fluentd Input plugin to execute mysql query and fetch rows. It is useful for stationary interval metrics measurement.}

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_development_dependency "rake", ['~> 10.0', '>= 10.0.4']
  s.add_development_dependency "test-unit", ['~> 3.1', '>= 3.1.0']
  s.add_runtime_dependency "fluentd", [">= 0.10.30", "< 2"]
  s.add_runtime_dependency "mysql2",  "~> 0.3.11"
  s.add_runtime_dependency "net-ssh-gateway", ['~> 1.2', '>= 1.2.0']
end
